.prometheus-graphs {
  .dropdown-buttons {
    > div {
      margin-left: auto;
    }
  }

  .col-form-label {
    line-height: 1;
    padding-top: 0;
  }

  .form-group {
    margin-bottom: map-get($spacing-scale, 3);
  }

  .variables-section {
    input {
      @include media-breakpoint-up(sm) {
        width: 160px;
      }
    }
  }

  .links-section {
    .gl-hover-text-blue-600-children:hover {
      * {
        @include gl-text-blue-600;
      }
    }
  }
}

.draggable {
  &.draggable-enabled {
    .draggable-panel {
      border: $gray-100 1px solid;
      border-radius: $border-radius-default;
      margin: -1px;
      cursor: grab;
    }

    .prometheus-graph {
      // Make dragging easier by disabling use of chart
      pointer-events: none;
    }
  }

  &.sortable-chosen .draggable-panel {
    background: $white;
    box-shadow: 0 0 4px $gray-300;
  }

  .draggable-remove {
    z-index: 1;

    .draggable-remove-link {
      cursor: pointer;
      color: $gray-400;
      background-color: $white;
    }
  }
}

.prometheus-graphs-header {
  .monitor-environment-dropdown-header header {
    font-size: $gl-font-size;
  }

  .monitor-environment-dropdown-menu,
  .monitor-dashboard-dropdown-menu {
    &.show {
      display: flex;
      flex-direction: column;
      overflow: hidden;
    }

    .no-matches-message {
      padding: $gl-padding-8 $gl-padding-12;
    }
  }

  .show-last-dropdown {
    // same as in .dropdown-menu-toggle
    // see app/assets/stylesheets/framework/dropdowns.scss
    width: 160px;
  }
}

.prometheus-panel {
  margin-top: 20px;
}

.prometheus-graph-group {
  display: flex;
  flex-wrap: wrap;
}

.prometheus-graph {
  padding: $gl-padding-8;
}

.prometheus-graph-embed {
  border: 1px solid $border-color;
  border-radius: $border-radius-default;
}

.alert-current-setting {
  max-width: 240px;

  .badge.badge-danger {
    color: $red-500;
    background-color: $red-100;
  }
}

.prometheus-graph-cursor {
  position: absolute;
  background: $gray-400;
  width: 1px;
}

.prometheus-graph-flag {
  display: block;
  min-width: 160px;
  border: 0;
  box-shadow: 0 1px 4px 0 $black-transparent;

  h5 {
    padding: 0;
    margin: 0;
    font-size: 14px;
    line-height: 1.2;
  }

  .deploy-meta-content {
    border-bottom: 1px solid $white-dark;

    svg {
      height: 15px;
      vertical-align: bottom;
    }
  }

  &.popover {
    padding: 0;

    &.left {
      left: auto;
      right: 0;
      margin-right: 10px;

      > .arrow {
        right: -14px;
        border-left-color: $border-color;
      }

      > .arrow::after {
        border-top: 6px solid transparent;
        border-bottom: 6px solid transparent;
        border-left: 4px solid $gray-10;
      }

      .arrow-shadow {
        right: -3px;
        box-shadow: 1px 0 9px 0 $black-transparent;
      }
    }

    &.right {
      left: 0;
      right: auto;
      margin-left: 10px;

      > .arrow {
        left: -7px;
        border-right-color: $border-color;
      }

      > .arrow::after {
        border-top: 6px solid transparent;
        border-bottom: 6px solid transparent;
        border-right: 4px solid $gray-10;
      }

      .arrow-shadow {
        left: -3px;
        box-shadow: 1px 0 8px 0 $black-transparent;
      }
    }

    > .arrow {
      top: 10px;
      margin: 0;
    }

    .arrow-shadow {
      content: '';
      position: absolute;
      width: 7px;
      height: 7px;
      background-color: transparent;
      transform: rotate(45deg);
      top: 13px;
    }

    > .popover-title,
    > .popover-content,
    > .popover-header,
    > .popover-body {
      padding: 8px;
      white-space: nowrap;
      position: relative;
    }

    > .popover-title {
      background-color: $gray-10;
      border-radius: $border-radius-default $border-radius-default 0 0;
    }
  }

  strong {
    font-weight: 600;
  }
}

.prometheus-table {
  border-collapse: collapse;
  padding: 0;
  margin: 0;

  td {
    vertical-align: middle;

    + td {
      padding-left: 8px;
      vertical-align: top;
    }
  }

  .legend-metric-title {
    font-size: 12px;
    vertical-align: middle;
  }
}

.prometheus-svg-container {
  position: relative;
  height: 0;
  width: 100%;
  padding: 0;
  padding-bottom: 100%;

  .text-metric-usage {
    fill: $black;
    font-weight: $gl-font-weight-normal;
    font-size: 12px;
  }

  > svg {
    position: absolute;
    height: 100%;
    width: 100%;
    left: 0;
    top: 0;

    text {
      fill: $gl-text-color;
      stroke-width: 0;
    }

    .text-metric-bold {
      font-weight: $gl-font-weight-bold;
    }

    .label-axis-text {
      fill: $black;
      font-weight: $gl-font-weight-normal;
      font-size: 10px;
    }

    .legend-axis-text {
      fill: $black;
    }

    .tick {
      > line {
        stroke: $gray-darker;
      }

      > text {
        fill: $gray-400;
        font-size: 10px;
      }
    }

    .y-label-text,
    .x-label-text {
      fill: $gray-darkest;
    }

    .axis-tick {
      stroke: $gray-darker;
    }

    .deploy-info-text {
      dominant-baseline: text-before-edge;
      font-size: 12px;
    }

    .deploy-info-text-link {
      font-family: $monospace-font;
      fill: $blue-600;

      &:hover {
        fill: $blue-800;
      }
    }

    @include media-breakpoint-down(sm) {
      .label-axis-text,
      .text-metric-usage,
      .legend-axis-text {
        font-size: 8px;
      }

      .tick > text {
        font-size: 8px;
      }
    }
  }
}

.prometheus-table-row-highlight {
  background-color: $gray-100;
}

.prometheus-graph-overlay {
  fill: none;
  opacity: 0;
  pointer-events: all;
}

.prometheus-panel-builder {
  .preview-date-time-picker {
    // same as in .dropdown-menu-toggle
    // see app/assets/stylesheets/framework/dropdowns.scss
    width: 160px;
  }
}
